org.apache.ode.bpel.o

## Class OEventHandler.OEvent

- java.lang.Object
- - org.apache.ode.bpel.o.OBase
  - - org.apache.ode.bpel.o.OAgent
    - - org.apache.ode.bpel.o.OActivity
      - - org.apache.ode.bpel.o.OScope
        - - org.apache.ode.bpel.o.OEventHandler.OEvent

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    OEventHandler

      public static class OEventHandler.OEvent
      extends OScope

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ode.bpel.o.OScope

      `OScope.CorrelationSet, OScope.Variable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<OScope.CorrelationSet>` | `initCorrelations` Correlations to initialize.
    `java.util.List<OScope.CorrelationSet>` | `joinCorrelations` Correlation set to join on.
    `java.util.List<OScope.CorrelationSet>` | `matchCorrelations` Correlation set to match on.
    `java.lang.String` | `messageExchangeId` OASIS addition for disambiguating receives (optional).
    `javax.wsdl.Operation` | `operation`
    `OPartnerLink` | `partnerLink`
    `java.lang.String` | `route`
    `OScope.Variable` | `variable`

    - ### Fields inherited from class org.apache.ode.bpel.o.OScope

      `activity, atomicScope, compensatable, compensationHandler, correlationSets, eventHandler, faultHandler, implicitScope, name, partnerLinks, terminationHandler, variables`

    - ### Fields inherited from class org.apache.ode.bpel.o.OActivity

      `failureHandling, joinCondition, sourceLinks, suppressJoinFailure, targetLinks`

    - ### Fields inherited from class org.apache.ode.bpel.o.OAgent

      `incomingLinks, nested, outgoingLinks, variableRd, variableWr`

    - ### Fields inherited from class org.apache.ode.bpel.o.OBase

      `debugInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OEventHandler.OEvent(OProcess owner, OActivity parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCorrelatorId()`

    - ### Methods inherited from class org.apache.ode.bpel.o.OScope

      `addCorrelationSet, addLocalVariable, dehydrate, getCorrelationSet, getLocalPartnerLink, getLocalVariable, getVisiblePartnerLink, getVisibleVariable, isInAtomicScope, toString`

    - ### Methods inherited from class org.apache.ode.bpel.o.OActivity

      `digest, getFailureHandling, getParent, getType, setFailureHandling`

    - ### Methods inherited from class org.apache.ode.bpel.o.OBase

      `equals, getId, getOwner, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### initCorrelations

          public final java.util.List<OScope.CorrelationSet> initCorrelations

      Correlations to initialize.

    - #### matchCorrelations

          public java.util.List<OScope.CorrelationSet> matchCorrelations

      Correlation set to match on.

    - #### joinCorrelations

          public final java.util.List<OScope.CorrelationSet> joinCorrelations

      Correlation set to join on.

    - #### partnerLink

          public OPartnerLink partnerLink

    - #### operation

          public javax.wsdl.Operation operation

    - #### variable

          public OScope.Variable variable

    - #### messageExchangeId

          public java.lang.String messageExchangeId

      OASIS addition for disambiguating receives (optional).

    - #### route

          public java.lang.String route

  - ### Constructor Detail

    - #### OEventHandler.OEvent

          public OEventHandler.OEvent(OProcess owner,
                              OActivity parent)

  - ### Method Detail

    - #### getCorrelatorId

          public java.lang.String getCorrelatorId()